########################################################################
# Makefile for skeleton application                                    #
########################################################################

ClassLib = ..\ClassLib

# Project name

projname = HttpGrabber

# Tools

cc       = cl
link     = link

# Flags

cflags   = -c -YXwindows.h -W3 -Ox -D_X86_=1 -DWIN32 -I$(ClassLib)
lflags   =
# cflags   = -c -YXwindows.h -W3 -Od -Zi -D_X86_=1 -DWIN32 -I$(ClassLib)
# lflags   = -debug:full -debugtype:cv

# Objects

objs     = $(projname).obj \
           $(ClassLib)\RhsSock\RhsSock.obj

# Libraries

libs     = kernel32.lib user32.lib gdi32.lib \
           comdlg32.lib shell32.lib advapi32.lib comctl32.lib \
           wsock32.lib

# Inference rules

.cpp.obj:
   $(cc) $(cflags) $*.cpp -Fo$*.obj

# Targets

all: $(projname).exe

$(projname).exe: $(objs) $(projname).res
    $(link) $(lflags) -out:$(projname).exe $(objs) $(projname).res $(libs)

$(projname).res: $(projname).rc
    rc -r -DWIN32 $(projname).rc

